/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.testbyvalue.interfaces;

import org.jboss.test.testbyvalue.bean.ClassWithProperty;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;

/** @author Clebert Suconic*/
public interface ByValueEntity extends EJBObject {

    public String getName()  throws RemoteException;
    public void setName(String value)  throws RemoteException;


    public void doByValueTest(ClassWithProperty property) throws RemoteException;

}
